Skip to content

Return a paginated list of contracts related to the organization as party

Request

Security policies: OrganizationOrGlobalContractView

Security
OpenIdConnect
Path
idstringrequired
Query
consumerIdstring

The id of the consumer to be used as second party filter in contracts. (Default: Not applied)

filterstring

The filter ODATA expression contracts by. If set exclude all other filters. (Default: Not applied)

legalEntityIdstring

The id of the legal entity to be used as second party filter in contracts. (Default: Not applied)

issuerIdstring

The id of the issuer to be used as second party filter in contracts. (Default: Not applied)

ownerIdstring

The id of the owner to be used as second party filter in contracts. (Default: Not applied)

legalRepresentativeIdstring

The id of the legal representative to be used as second party filter in contracts. (Default: Not applied)

searchOnAnyRecipientsConsumerIdboolean

search consumer id on billing consumer id, owner id and legal representative id of the contract. (Default: Not applied)

statusstring

The list of contract statuses for which contracts should be filtered. Is JSON array format. (Default: Not applied)

typestring

The list of contract types for which contracts should be filtered. Is JSON array format. (Default: Not applied)

startDateFromstring

The start date from of the contract. Example: 2023-11-28 (Default: Not applied)

startDateTostring

The start date to of the contract. Example: 2023-11-28 (Default: Not applied)

numberstring

The contract number to be used as filter in contracts. (Default: Not applied)

orderBystring

The order ODATA expression contracts by. If set exclude other sorts. (Default: Not applied)

searchstring

The search term for filtering items. (Default: Not applied)

exactboolean

Boolean which defines whether the params name and search must match exactly. (Default: false)

pageNumberinteger, (int32)

The page number of pagination. (Default: 1)

pageSizeinteger, (int32)

The page size of pagination. (Default: 50, Max: 500)

shouldCountboolean

Indicates whether the query should also return the total count of items (Default: true)

GET
/v1/organizations/{id}/contracts
curl -i -X GET \
  '/v1/organizations/{id}/contracts?consumerId=string&filter=string&legalEntityId=string&issuerId=string&ownerId=string&legalRepresentativeId=string&searchOnAnyRecipientsConsumerId=true&status=string&type=string&startDateFrom=string&startDateTo=string&number=string&orderBy=string&search=string&exact=true&pageNumber=0&pageSize=0&shouldCount=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
itemsArray of objects(ContractDto)

ICollection of the final sorted, filtered and paginated data.

pageNumberinteger, (int32)

The current page number.

pageSizeinteger, (int32)

Number or items in a page.

totalPagesinteger, (int32)read-only

Total number of pages.

totalItemsinteger, (int32)

Total number of items that exist for the query.

Response
{ "items": [ { … } ], "pageNumber": 0, "pageSize": 0, "totalPages": 0, "totalItems": 0 }